phpshe vulnerabilities and exploits

5
MEDIUM
CVE-2019-9761

An XXE issue was discovered in PHPSHE 1.7, which can be used to read any file in the system or scan the internal network without authentication. This occurs because of the call to wechat_getxml in include/plugin/payment/wechat/notify_url.php....

7.5
HIGH
CVE-2019-9762

A SQL Injection was discovered in PHPSHE 1.7 in include/plugin/payment/alipay/pay.php with the parameter id. The vulnerability does not need any authentication....

7.5
HIGH
CVE-2019-9626

PHPSHE 1.7 allows module/index/cart.php pintuan_id SQL Injection to index.php....

6.5
MEDIUM
CVE-2019-6707

PHPSHE 1.7 has SQL injection via the admin.php?mod=product&act=state product_id[] parameter....

6.5
MEDIUM
CVE-2019-6708

PHPSHE 1.7 has SQL injection via the admin.php?mod=order state parameter....

6.4
MEDIUM
CVE-2018-18485

An issue was discovered in PHPSHE 1.7. admin.php?mod=db&act=del allows remote attackers to delete arbitrary files via directory traversal sequences in the dbname parameter. This can be leveraged to reload the product by deleting install.lock....

7.5
HIGH
CVE-2018-18486

An issue was discovered in PHPSHE 1.7. SQL injection exists via the admin.php?mod=user&act=del user_id[] parameter....

7.5
HIGH
CVE-2018-8943

There is a SQL injection in the PHPSHE 1.6 userbank parameter....

PhpshePhpshe